Package org.eclipse.mat.inspections.osgi.model.eclipse

# Class ConfigurationElement

java.lang.Object
org.eclipse.mat.inspections.osgi.model.eclipse.ConfigurationElement

public class ConfigurationElement extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConfigurationElement.PropertyPair`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationElement(int objectId, String name, Integer parentId, Integer elementId, BundleDescriptor contributingBundle, String[] propertiesAndValues)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfigurationElement(ConfigurationElement configurationElement)`
`boolean`
`equals(Object obj)`
`List<ConfigurationElement>`
`getConfigurationElements()`
Get nested configuration elements
`BundleDescriptor`
`getContributingBundle()`
Descriptor of the bundle contributing this element.
`Integer`
`getElementId()`
Get element's unique identifier.
`String`
`getName()`
`int`
`getObjectId()`
Get objectId of the ConfigurationElement in the heap dump
`Integer`
`getParentId()`
Get id of the parent element.
`List<ConfigurationElement.PropertyPair>`
`getPropertiesAndValues()`
Get the properties and the value of the configuration element.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationElement

public ConfigurationElement(int objectId, String name, Integer parentId, Integer elementId, BundleDescriptor contributingBundle, String[] propertiesAndValues)

## Method Details

### getObjectId

public int getObjectId()
Get objectId of the ConfigurationElement in the heap dump

Returns:
  int objectId

### getName

public String getName()

### getParentId

public Integer getParentId()
Get id of the parent element. It can be a configuration element or an extension

Returns:
  Integer parentId

### getElementId

public Integer getElementId()
Get element's unique identifier. This element is assigned a unique identifier by the Framework.

Returns:
  long bundle's unique identifier

### getPropertiesAndValues

public List<ConfigurationElement.PropertyPair> getPropertiesAndValues()
Get the properties and the value of the configuration element.

Returns:
  List<PropertyPair> properties

### getContributingBundle

public BundleDescriptor getContributingBundle()
Descriptor of the bundle contributing this element. This value can be null when the element is loaded from disk and the owner has been uninstalled.

Returns:
  BundleDescriptor of the bundle contributing this element

### getConfigurationElements

public List<ConfigurationElement> getConfigurationElements()
Get nested configuration elements

Returns:
  List<ConfigurationElement> nested configuration elements

### addConfigurationElement

public void addConfigurationElement(ConfigurationElement configurationElement)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`